## ros-rolling-phidgets-analog-inputs 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(phidgets_analog_inputs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(phidgets_api REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)

add_library(phidgets_analog_inputs SHARED src/analog_inputs_ros_i.cpp)
ament_target_dependencies(phidgets_analog_inputs
  phidgets_api
  rclcpp
  rclcpp_components
  std_msgs
)

rclcpp_components_register_nodes(phidgets_analog_inputs
  "phidgets::AnalogInputsRosI")

install(TARGETS phidgets_analog_inputs
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-phidgets-analog-inputs (2.2.1-1focal) focal; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Aug 2021 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.2.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 20 May 2021 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.1.0-1focal) focal; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
  * Switch header guards to _HPP SUFFIX.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Mar 2021 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.2-1focal) focal; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.1-1focal) focal; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.0-1focal) focal; urgency=high

  * Switch from NULL to nullptr.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Add in gain and offset for the analog devices.
  * Stop multiplying by ticks in the callback.
  * Remove fetching of analog sensor value at startup.
  * Print out the serial number when connecting.
  * Update documentation to mention device dependent fields.
  * Port analog inputs to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Implement data interval setting for analog inputs.
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Add in support for Phidgets Analog inputs.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.9-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.8-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.7-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.6-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.4-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.0-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 17:40:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.3-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 12:11:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 23 Mar 2015 00:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 15 Jan 2015 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-phidgets-analog-inputs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-phidgets-analog-inputs 2.3.1

=== debian/changelog ===
ros-rolling-phidgets-analog-inputs (2.3.1-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.3.0-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 13 Apr 2022 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.2.2-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 17 Feb 2022 08:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.2.1-2jammy) jammy; urgency=high

  * Update the ROS 2 readme files. (#93 <https://github.com/ros-drivers/phidgets_drivers/issues/93>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 03 Aug 2021 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.2.0-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 20 May 2021 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.1.0-2jammy) jammy; urgency=high

  * Get rid of deprecation warnings in Foxy. (#75 <https://github.com/ros-drivers/phidgets_drivers/issues/75>)
  * Switch header guards to _HPP SUFFIX.
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Mar 2021 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.2-2jammy) jammy; urgency=high

  * Release build fixes (#67 <https://github.com/ros-drivers/phidgets_drivers/issues/67>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.1-2jammy) jammy; urgency=high

  * Switch the buildtoo_depend to ament_cmake_ros. (#65 <https://github.com/ros-drivers/phidgets_drivers/issues/65>)
  * Contributors: Chris Lalancette

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 08:00:00 -0000

ros-rolling-phidgets-analog-inputs (2.0.0-2jammy) jammy; urgency=high

  * Switch from NULL to nullptr.
  * Update READMEs to use "Published Topics" and "Subscribed Topics". (#59 <https://github.com/ros-drivers/phidgets_drivers/issues/59>)
  * Change launch output to "both" so it logs as well.
  * Make publish_rate a double.
  * Add in gain and offset for the analog devices.
  * Stop multiplying by ticks in the callback.
  * Remove fetching of analog sensor value at startup.
  * Print out the serial number when connecting.
  * Update documentation to mention device dependent fields.
  * Port analog inputs to ROS 2.
  * Ignore all packages for ROS 2 port.
  * Update maintainers in package.xml
  * Merge pull request #39 <https://github.com/ros-drivers/phidgets_drivers/issues/39> from clalancette/add-libphidget22
  * Add launch files for all drivers.
  * Add in try/catch blocks for connecting.
  * Fixes from review.
  * Documentation updates to README.md
  * Implement data interval setting for analog inputs.
  * Set the publish_rate to 0 by default.
  * Add in the license files and add to the headers.
  * Remove nodes in favor of nodelets.
  * Add in support for Phidgets Analog inputs.
  * Contributors: Chris Lalancette, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 05 Dec 2019 08:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.9-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 28 Jun 2019 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.8-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 06 May 2019 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.7-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 18 Sep 2018 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.6-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Aug 2018 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.5-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 31 Jan 2018 08:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.4-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Wed, 04 Oct 2017 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.3-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 30 Jun 2017 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.2-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 02 Jun 2017 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.1-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 22 May 2017 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.7.0-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sat, 18 Feb 2017 01:40:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.3-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Fri, 17 Feb 2017 20:11:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.2-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 23 Mar 2015 07:00:00 -0000

ros-rolling-phidgets-analog-inputs (0.2.1-2jammy) jammy; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 15 Jan 2015 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-phidgets-analog-inputs
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-phidgets-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-phidgets-analog-inputs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-launch, ros-rolling-phidgets-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Driver for the Phidgets Analog Input devices

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
